%define ver_major 2.2
%define _name gimp
%define oldver 2.0

Name: gimp2
Version: %ver_major.13
Release: alt2

Summary: The GNU Image Manipulation Program
License: GPL, LGPL
Group: Graphics
Url: http://www.gimp.org/

Source: ftp://ftp.gimp.org/pub/gimp/v%ver_major/%_name-%version.tar.bz2
Source10: %_name.png

Obsoletes: gimp
Provides: gimp = %version
Requires: lib%name = %version-%release

# Automatically added by buildreq on Sun Jun 18 2006
BuildRequires: aalib-devel gcc-c++ libXmu-devel libXpm-devel libalsa-devel
BuildRequires: libexif-devel libexpat-devel libfreetype-devel libgimp-print-devel
BuildRequires: libgtkhtml2-devel libjpeg-devel liblcms-devel libmng-devel
BuildRequires: libpng-devel librsvg2-devel libtiff-devel libwmf-devel perl-XML-Parser
BuildRequires: xml-utils xsltproc

%description
The GIMP (GNU Image Manipulation Program) is a powerful image
composition and editing program, which can be extremely useful for
creating logos and other graphics for Web pages.  The GIMP has many of
the tools and filters you would expect to find in similar commercial
offerings, and some interesting extras as well. The GIMP provides a
large image manipulation toolbox, including channel operations and
layers, effects, sub-pixel imaging and anti-aliasing, and conversions,
all with multi-level undo.

This is stable version.

%package -n lib%name
Summary: GIMP libraries
Group: System/Libraries
License: LGPL
Obsoletes: libgimp

%package -n lib%name-devel
Summary: GIMP plugin and extension development kit
Group: Graphics
Requires: gtk2-devel >= 2.8.4, pkgconfig
Requires: lib%name = %version-%release
Obsoletes: libgimp-devel

%description -n lib%name
Libraries used to communicate between The GIMP and other programs which
may function as "GIMP plugins".

%description -n lib%name-devel
Development libraries and header files for writing GIMP plugins and extensions.

%prep
%setup -q -n %_name-%version

%build
%configure

%make_build

%install
%make DESTDIR=%buildroot install

# menu icon
%__install -pD -m644 %SOURCE10 %buildroot%_datadir/pixmaps/%_name.png

# menu file
%__subst 's,^\(Icon=\).*,\1gimp,' data/misc/gimp.desktop
%__install -pD -m644 data/misc/gimp.desktop %buildroot%_datadir/applications/gimp2.desktop

# remove non-packaged files
find %buildroot%_libdir -name "*.la" | xargs %__rm -f

# Execute find_lang for all components and merge the resulting lists
%find_lang --output=global.lang gimp20 gimp20-libgimp gimp20-std-plug-ins gimp20-script-fu

%post -n lib%name
%post_ldconfig

%postun -n lib%name
%postun_ldconfig

%files -f global.lang
%doc AUTHORS ChangeLog* COPYING NEWS README README.i18n
%doc docs/*
%dir %_sysconfdir/%_name
%dir %_sysconfdir/%_name/%oldver
%config %_sysconfdir/%_name/%oldver/*
%_bindir/*
%exclude %_bindir/gimptool-%oldver
%_libdir/%_name/%oldver/plug-ins
%_datadir/%_name
%_mandir/man1/*
%_datadir/pixmaps/%_name.png
%_datadir/applications/gimp2.desktop

%files -n lib%name
%_libdir/*.so.*
%dir %_libdir/%_name
%dir %_libdir/%_name/%oldver
%_libdir/%_name/%oldver/environ
%dir %_libdir/%_name/%oldver/modules
%_libdir/%_name/%oldver/modules/*.so

%files -n lib%name-devel
%doc %_datadir/gtk-doc/html/*
%_bindir/gimptool-%oldver
%_includedir/*
%_libdir/*.so
%dir %_libdir/%_name
%dir %_libdir/%_name/%oldver
%dir %_libdir/%_name/%oldver/modules
%_libdir/pkgconfig/*
%_datadir/aclocal/*
%_mandir/man5/*

%changelog
* Sun Feb 11 2007 Anatoly Yakushin <jaa@altlinux.ru> 2.2.13-alt2
- L. A. Kostis <lakostis@altlinux.ru> 2.2.13-alt2
   NMU: 
    + move gimptool to -devel subpackage (closes #9955).


* Mon Oct 23 2006 Anatoly Yakushin <jaa@altlinux.ru> 2.2.13-alt1
- 2.2.13


* Mon Jun 19 2006 Anatoly Yakushin <jaa@altlinux.ru> 2.2.11-alt1
- 2.2.11

* Sun Jun 18 2006 Valery Inozemtsev <shrek@altlinux.ru> 2.2.11-alt0.1
- 2.2.11
- updated build dependencies
- move to freedesktop menu
- disabled MMX/SSE

* Thu Feb 02 2006 ALT QA Team Robot <qa-robot@altlinux.org> 2.2.10-alt1.1
- Rebuilt for new pkg-config dependencies.

* Fri Jan 06 2006 Anatoly Yakushin <jaa@altlinux.ru> 2.2.10-alt1
- new version. Fixed russian translation bug # 123410

* Wed May 11 2005 Anatoly Yakushin <jaa@altlinux.ru> 2.2.7-alt1
- new stable version

* Mon Apr 25 2005 Anatoly Yakushin <jaa@altlinux.ru> 2.2.6-alt1
- update ru po
- Yuri N. Sedunov has added
  - 2.2.6
  - rebuild against libexif.so.12. 
  - svg support via librsvg2 enabled.
  - requires gtk+ >= 2.2.4
  - fixed source url.

* Sun Mar 13 2005 Anatoly Yakushin <jaa@altlinux.ru> 2.2.4-alt1
- new stable version, minor bugs fixed.

* Tue Jan 11 2005 Anatoly Yakushin <jaa@altlinux.ru> 2.2.2-alt1
- new stable version, minor bugs fixed.

* Mon Jan 10 2005 Anatoly Yakushin <jaa@altlinux.ru> 2.2.1-alt1
- new stable version
- update ru translation

* Sun Nov 21 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.2-alt0.1.pre2
- new developer version

* Tue Nov 09 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.2-alt0.1.pre1
- new developer version 

* Sun Oct 03 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.5-alt1
- new stable version

* Tue Sep 07 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.4-alt1
- new stable version

* Sat Jul 24 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.3-alt2
- fixed bug - don't open and save non latin1 or utf-8 filename 

* Sun Jul 18 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.3-alt1
- new version
- remove gimp.desktop from src.rpm.
- convert gimp.xpm to gimp.png, install it in /usr/share/pixmaps as menu icon
- remove unusual %%clean section.
- use post{un}_ldconfig macros for libgimp2 subpackage.
- optimize find-lang call.
- allow SMP build.
- clean %%install section
- fix %%files to remove %%_libdir/*.so from libgimp2 subpackage.
- clean .spec using cleanup_spec and manually.
- Special thanks Yuri N. Sedunov aka Aris for his help.

* Thu Jun 24 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.2-alt1
- new version, bug # 3459 fixed

* Mon May 10 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.1-alt2
- spec cleanup, po bugs fixed

* Wed Apr 21 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.1-alt1
- Bugs fixed version GIMP 2.0.1

* Wed Mar 24 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0.0-alt1
- GIMP 2.0.0 new stable build

* Sun Mar 07 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0-alt0.3.pre4
- new version

* Sun Feb  8 2004 Anatoly Yakushin <jaa@altlinux.ru> 2.0-alt0.2.pre3
- add color proof

* Mon Nov 10 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.22-alt1
- new version, spec cleanup

* Mon Oct 13 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.21-alt1
- new version

* Tue Aug 30 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.19-alt1
- new version

* Mon Jun 29 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.16-alt1
- new version

* Wed May 28 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.14-alt2
- fixed bugs in spec file, add new ru.po

* Sun Apr 13 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.14-alt1
- package in Sisyphus

* Mon Mar 24 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.13-alt0.1
- version 1.3.13

* Wed Mar 19 2003 Anatoly Yakushin <jaa@altlinux.ru> 1.3.12-alt0.1
- Adapted spec for AltLinux

* Fri Feb 14 2003 Matthias Saou <matthias.saou@est.une.marmotte.net>
- Reinvented the wheel, but packaged 1.3.11.

* Fri Apr 14 2000 Matt Wilson <msw@redhat.com>
- include subdirs in the help find
- remove gimp-help-files generation
- both gimp and gimp-perl own prefix/lib/gimp/1.1/plug-ins
- both gimp and gimp-devel own prefix/lib/gimp/1.1 and
  prefix/lib/gimp/1.1/modules

* Thu Apr 13 2000 Matt Wilson <msw@redhat.com>
- 1.1.19
- get all .mo files

* Wed Jan 19 2000 Gregory McLean <gregm@comstar.net>
- Version 1.1.15

* Wed Dec 22 1999 Gregory McLean <gregm@comstar.net>
- Version 1.1.14
- Added some auto %files section generation scriptlets

